# TIFFError

NAME
SYNOPSIS
DESCRIPTION
RETURN VALUES
SEE ALSO

## NAME

| TIFFError, TIFFSetErrorHandler − library error handling interface

## SYNOPSIS

| #include <tiffio.h> void TIFFError(const char *module, const char *fmt, ...) #include <stdarg.h> typedef void (*TIFFErrorHandler)(const char *module, const char *fmt, va_list ap); TIFFErrorHandler TIFFSetErrorHandler(TIFFErrorHandler handler);

## DESCRIPTION

| TIFFError invokes the library-wide error handling function to (normally) write an error message to the stderr. The fmt parameter is a printf(3S) format string, and any number arguments can be supplied. The module parameter, if non-zero, is printed before the message; it typically is used to identify the software module in which an error is detected. Applications that desire to capture control in the event of an error should use TIFFSetErrorHandler to override the default error handler. A NULL (0) error handling function may be installed to suppress error messages.

## RETURN VALUES

| TIFFSetErrorHandler returns a reference to the previous error handling function.

## SEE ALSO

| TIFFWarning(3TIFF), libtiff(3TIFF), printf(3) Libtiff library home page: http://www.remotesensing.org/libtiff/